/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <math.h>
#include <crankslider.h>

int main() {
    CCrankSlider crankslider;
    double r2 = 1, r3 = 2, r4 = 0.5, theta1 = 10*M_PI/180;
    double rp = 2.5, beta = 20*M_PI/180;
    double theta2 = 70*M_PI/180;
    double complex Vs[1:2];
    double omega2 = 5;  /*  rad/sec  */
    double first_theta3, sec_theta3;
    double first_omega3, sec_omega3;

    crankslider.setLinks(r2, r3, r4, theta1);
    crankslider.setCouplerPoint(rp, beta);
    crankslider.angularPos(theta2, first_theta3, sec_theta3);
    first_omega3 = crankslider.angularVel(theta2, first_theta3, omega2);
    sec_omega3 = crankslider.angularVel(theta2, sec_theta3, omega2);
    Vs[1] = crankslider.sliderVel(theta2, first_theta3, omega2, first_omega3);
    Vs[2] = crankslider.sliderVel(theta2, sec_theta3, omega2, sec_omega3);
    printf("Circuit 1: \n  SliderVelocity: %f %f %f\n",Vs[1],real(Vs[1]),imag(Vs[1]));  
    printf("Circuit 2: \n  SliderVelocity: %f \n", Vs[2]);                
}
