/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include<stdio.h>
#include<sixbar.h>

int main()
{
   double r[1:7];
   double rP3, beta3,
          rp, beta;
   double theta[1:4][1:7];
   double theta1 = 0, theta5 = M_DEG2RAD(15), theta2 = M_DEG2RAD(25);
   double complex P[1:4];
   CStevSixbarIII stevIII;
   int i;

   /* Define Stephenson (III) Sixbar linkage. */
   r[1] = 9;  r[2] = 4;
   r[3] = 10;  r[4] = 6;
   r[5] = 8;   r[6] = 9;
   r[7] = 12;
   rP3 = 3;  beta3 = M_DEG2RAD(20);
   rp = 5;  beta = M_DEG2RAD(30);
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
      theta[i][5] = theta5;
   }

   /* Perform analysis. */
   stevIII.setLinks(r, rP3, beta3, theta1, theta5); 
   stevIII.setCouplerPoint(rp, beta);
   stevIII.angularPos(theta[1], theta[2], theta[3], theta[4]);
   stevIII.displayPosition(theta[1][2], theta[1][3], theta[1][4], theta[1][6], theta[1][7]); 

   return 0;
}
