
	/* Define Stephenson (III) Sixbar linkage. */
	r[1] = r1;  r[2] = r2;
	r[3] = r3;  r[4] = r4;
	r[5] = r5;   r[6] = r6;
	r[7] = r7;

	theta1 = M_DEG2RAD(theta1);
	theta2 = M_DEG2RAD(theta2);
	theta5 = M_DEG2RAD(theta5);
	beta3 = M_DEG2RAD(beta3);
	beta = M_DEG2RAD(beta);
	omega2 = M_DEG2RAD(omega2);
	alpha2 = M_DEG2RAD(alpha2);

   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
      theta[i][5] = theta5;
      omega[i][2] = omega2;
   }

   /* Perform analysis. */
   stevIII.setLinks(r, rP3, beta3, theta1, theta5); 
   stevIII.setCouplerPoint(rp, beta);
   stevIII.angularPos(theta[1], theta[2], theta[3], theta[4]);
   stevIII.angularVel(theta[1], omega[1]);
   stevIII.angularVel(theta[2], omega[2]);
   stevIII.angularVel(theta[3], omega[3]);
   stevIII.angularVel(theta[4], omega[4]);
   stevIII.angularAccel(theta[1], omega[1], alpha[1]);
   stevIII.angularAccel(theta[2], omega[2], alpha[2]);
   stevIII.angularAccel(theta[3], omega[3], alpha[3]);
   stevIII.angularAccel(theta[4], omega[4], alpha[4]);
   Ap[1] = stevIII.couplerPointAccel(theta[1], omega[1], alpha[1]);
   Ap[2] = stevIII.couplerPointAccel(theta[2], omega[2], alpha[2]);
   Ap[3] = stevIII.couplerPointAccel(theta[3], omega[3], alpha[3]);
   Ap[4] = stevIII.couplerPointAccel(theta[4], omega[4], alpha[4]);
   
   /* Display results. */
   a_1[1] = real(Ap[1]);
   a_1[2] = imag(Ap[1]);
   a_2[1] = real(Ap[2]);
   a_2[2] = imag(Ap[2]);
   a_3[1] = real(Ap[3]);
   a_3[2] = imag(Ap[3]);
   a_4[1] = real(Ap[4]);
   a_4[2] = imag(Ap[4]);
   
	 theta1 = M_RAD2DEG(theta1);
	 theta2 = M_RAD2DEG(theta2);
	 theta5 = M_RAD2DEG(theta5);
	 beta3 = M_RAD2DEG(beta3);
	 beta = M_RAD2DEG(beta);
	 omega2 = M_RAD2DEG(omega2);
	 alpha2 = M_RAD2DEG(alpha2);
