   
   /* Define Stephenson (III) Sixbar linkage. */
	r[1] = r1;  r[2] = r2;
	r[3] = r3;  r[4] = r4;
	r[5] = r5;   r[6] = r6;
	r[7] = r7;

	theta1 = M_DEG2RAD(theta1);
	theta2 = M_DEG2RAD(theta2);
	theta5 = M_DEG2RAD(theta5);
	beta3 = M_DEG2RAD(beta3);
	beta = M_DEG2RAD(beta);
	omega2 = M_DEG2RAD(omega2);

   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
      theta[i][5] = theta5;
      omega[i][2] = omega2;
   }

   /* Perform analysis. */
   stevIII.setLinks(r, rP3, beta3, theta1, theta5); 
   stevIII.setCouplerPoint(rp, beta);
   stevIII.angularPos(theta[1], theta[2], theta[3], theta[4]);
   stevIII.angularVel(theta[1], omega[1]);
   stevIII.angularVel(theta[2], omega[2]);
   stevIII.angularVel(theta[3], omega[3]);
   stevIII.angularVel(theta[4], omega[4]);
   Vp[1] = stevIII.couplerPointVel(theta[1], omega[1]);
   Vp[2] = stevIII.couplerPointVel(theta[2], omega[2]);
   Vp[3] = stevIII.couplerPointVel(theta[3], omega[3]);
   Vp[4] = stevIII.couplerPointVel(theta[4], omega[4]);

   /* Display results. */
   v_1[1] = real(Vp[1]);
   v_1[2] = imag(Vp[1]);
   v_2[1] = real(Vp[2]);
   v_2[2] = imag(Vp[2]);
   v_3[1] = real(Vp[3]);
   v_3[2] = imag(Vp[3]);
   v_4[1] = real(Vp[4]);
   v_4[2] = imag(Vp[4]);

	theta1 = M_RAD2DEG(theta1);
	theta2 = M_RAD2DEG(theta2);
	theta5 = M_RAD2DEG(theta5);
	beta3 = M_RAD2DEG(beta3);
	beta = M_RAD2DEG(beta);
	omega2 = M_RAD2DEG(omega2);
   
