/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <sixbar.h>

int main() {
  CWattSixbarII wattbar;
  double r[1:8];
  double theta1 = 10*M_PI/180;
  double theta5 = -10*M_PI/180;
  double rp = 5, beta = 45*M_PI/180;
  double psi = 30*M_PI/180;
  double theta_1[1:8], theta_2[1:8], theta_3[1:8], theta_4[1:8];
  double omega_1[1:8], omega_2[1:8], omega_3[1:8], omega_4[1:8];
  double alpha_1[1:8], alpha_2[1:8], alpha_3[1:8], alpha_4[1:8];
  double theta2 = 70*M_PI/180;
  double complex p[1:4]; // two solution of coupler point position
  int i;
  double complex vp1, vp2, vp3, vp4;
  double complex ap1, ap2, ap3, ap4;
  
  r[1] = 12, r[2] = 4, r[3] = 12.0, r[4] = 7.0;
  r[5] = 7,  r[6] = 5.0, r[7] = 8.0, r[8] = 6.0;
  theta_1[1] = theta1;
  theta_1[2] = theta2; // theta2
  theta_2[1] = theta1;
  theta_2[2] = theta2; // theta2
  omega_1[1] = 0;
  omega_1[2] = 10*M_PI/180;
  alpha_1[2] = 0;
  omega_2[2] = 10*M_PI/180;
  alpha_2[2] = 0;
  omega_3[2] = 10*M_PI/180;
  alpha_3[2] = 0;
  omega_4[2] = 10*M_PI/180;
  alpha_4[2] = 0;

  wattbar.setLinks(r, theta1, theta5, psi);
  wattbar.setCouplerPoint(COUPLER_LINK7, rp, beta);
  wattbar.angularPos(theta_1, theta_2, theta_3, theta_4);
  wattbar.couplerPointPos(COUPLER_LINK7, theta2, p);

  /* coupler point velocity */
  wattbar.angularVel(theta_1, omega_1);
  vp1 = wattbar.couplerPointVel(COUPLER_LINK7, theta_1, omega_1);

  /* coupler point acceleration */
  wattbar.angularAccel(theta_1, omega_1, alpha_1);
  ap1 = wattbar.couplerPointAccel(COUPLER_LINK7, theta_1, omega_1, alpha_1);
  
  /**** print solutions ****/
  printf("First:\n");
  for(i=1; i<=8;i++) 
     printf("theta%d = %6.3f (%6.3f)\n", i,theta_1[i]*180/M_PI, theta_1[i]);
  for(i=1; i<=8;i++) 
     printf("omega%d = %6.3f (%6.3f)\n", i,omega_1[i]*180/M_PI, omega_1[i]);

  printf("P = %6.3f\n", p[1]);
  printf("Vp = %6.3f\n", vp1);
  printf("Ap = %6.3f\n", ap1);
  printf("Second:\n");
  for(i=1; i<=8;i++)
     printf("theta%d = %6.3f (%6.3f)\n", i,theta_2[i]*180/M_PI, theta_2[i]);
  printf("Thrid:\n");
  for(i=1; i<=8;i++) 
     printf("theta%d = %6.3f (%6.3f)\n", i,theta_3[i]*180/M_PI, theta_3[i]);
  printf("Fouth:\n");
  for(i=1; i<=8;i++)
     printf("theta%d = %6.3f (%6.3f)\n", i,theta_4[i]*180/M_PI, theta_4[i]);
  printf("Coupler Point position:\n");
  for(i=1; i<=4;i++)
     printf("p[%d]= %6.3f\n", i, p[i]); 
}
  
