/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* Determine the input and output ranges of the Watt (II)
   sixbar linkage. */
#include<math.h>
#include<stdio.h>
#include <sixbar.h>

int main() 
{
  double r[1:8], theta[1:8], psi, beta, rp;    
  double input[5][2], output[5][2];  
  int i, num_range;                     
  CWattSixbarII wattbar;
           
  /* specifications of the first four-bar linkage */
  r[1] = 12; r[2] = 4; r[3] = 12; r[4] = 7; 
  theta[1] = 10*M_PI/180; 

  /* specifications of the second four-bar linkage */               
  r[5] = 7; r[6] = 5; r[7] = 8; r[8] = 6; 
  theta[5] = -10*M_PI/180;   

  /* adjoining angle */  
  psi = 30*M_PI/180;  
 
  /* input values */ 
  theta[2] = 70*M_PI/180; 
  
  /* Setup Watt (II) sixbar linkage. */
  wattbar.setLinks(r, theta[1], theta[5], psi);
  wattbar.getIORanges(r, theta, psi, input, output);

  return 0;
}
